# Uses of Class
org.apache.felix.http.base.internal.handler.ListenerHandler

Packages that use ListenerHandler
Package
Description
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime.dto

## Uses of ListenerHandler in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler with parameters of type ListenerHandler
Modifier and Type
Method
Description
`int`
ListenerHandler.`compareTo(ListenerHandler other)`

## Uses of ListenerHandler in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry that return ListenerHandler
Modifier and Type
Method
Description
`ListenerHandler`
ListenerMap.`getListenerHandler(@NotNull ListenerInfo info)`
`@Nullable ListenerHandler`
EventListenerRegistry.`getServletContextListener(@NotNull ListenerInfo info)`
Get the listener handler for the listener info
`ListenerHandler`
ListenerMap.`remove(ListenerInfo info)`
Methods in org.apache.felix.http.base.internal.registry that return types with arguments of type ListenerHandler
Modifier and Type
Method
Description
`Iterable<ListenerHandler>`
ListenerMap.`getActiveHandlers()`
Methods in org.apache.felix.http.base.internal.registry with parameters of type ListenerHandler
Modifier and Type
Method
Description
`void`
ListenerMap.`add(ListenerHandler handler, int reason)`
`void`
EventListenerRegistry.`addListeners(@NotNull ListenerHandler handler)`
Add listeners
`void`
PerContextHandlerRegistry.`registerListeners(@NotNull ListenerHandler listenerHandler)`
Register listeners

## Uses of ListenerHandler in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type ListenerHandler
Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ListenerDTO`
ListenerDTOBuilder.`build(ListenerHandler handler, int reason)`